<mat-toolbar color='primary'>
  <button
    type='button'
    mat-icon-button
    aria-label="Example icon-button with menu icon"
    (click)="drawer.toggle()"
  >
    <mat-icon>menu</mat-icon>
  </button>
  <span i18n>My App</span>
  <span class="main__spacer"></span>
  <button class='weather-btn' mat-button [matMenuTriggerFor]="menu" i18n>Weather</button>
  <mat-menu style='{padding: 0;}' #menu="matMenu">
      <app-weather-widget></app-weather-widget>
  </mat-menu>
  <app-locale-switcher></app-locale-switcher>
  <p class='main__name' i18n>Hello {{userInfo.name}}!</p>
  <button
    type='button'
    mat-icon-button
    aria-label="Example icon-button with share icon"
    (click)='logout()'>
    <mat-icon>logout</mat-icon>
  </button>
</mat-toolbar>

<mat-drawer-container class="main" hasBackdrop='true' autosize>
  <mat-drawer #drawer class="main__sidenav" mode="over" >
    <mat-list role="list">
      <a routerLink='/myLoads' [routerLinkActive]="['main__link-active']" class='main__link' (click)='drawer.close()'>
        <mat-icon color='primary' class='main__icon'>inventory_2</mat-icon>
        <mat-list-item role="listitem" class='main__item' i18n>My Loads</mat-list-item>
      </a>
      <a *ngIf='userInfo.role === "SHIPPER"' routerLink='/assignedLoads' [routerLinkActive]="['main__link-active']" class='main__link' (click)='drawer.close()'>
        <mat-icon color='primary' class='main__icon'>assignment_add</mat-icon>
        <mat-list-item role="listitem" class='main__item' i18n>Assigned Loads</mat-list-item>
      </a>
      <a *ngIf='userInfo.role === "DRIVER"' routerLink='/trucks' [routerLinkActive]="['main__link-active']" class='main__link' (click)='drawer.close()'>
        <mat-icon color='primary' class='main__icon'>local_shipping</mat-icon>
        <mat-list-item role="listitem" class='main__item' i18n>Trucks</mat-list-item>
      </a>
      <a routerLink='/chats' [routerLinkActive]="['main__link-active']" class='main__link' (click)='drawer.close()'>
        <mat-icon color='primary' class='main__icon'>forum</mat-icon>
        <mat-list-item role="listitem" class='main__item' i18n>Chats</mat-list-item>
      </a>
      <a routerLink='/profile' [routerLinkActive]="['main__link-active']" class='main__link' (click)='drawer.close()'>
        <mat-icon color='primary' class='main__icon'>account_circle</mat-icon>
        <mat-list-item role="listitem" class='main__item' i18n>Profile</mat-list-item>
      </a>
    </mat-list>
  </mat-drawer>

  <div>
    <router-outlet></router-outlet>
  </div>

  <div *ngIf='isLoading' class='spinner'>
    <app-spinner></app-spinner>
  </div>
</mat-drawer-container>


